<?php
include '../config.php';
// prevent XSS
$_GET   = filter_input_array(INPUT_GET, FILTER_SANITIZE_STRING);
$_POST  = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);

$enviado = $_GET['enviado'];

///////////ESPAÑOL

    $time = time();
    
    $tituloEnlace_es = trim($_POST['tituloEnlace_es']);
    $tituloEnlace_es = strip_tags($tituloEnlace_es);
    $tituloEnlace_es = htmlspecialchars($tituloEnlace_es);

    $enlace_es = trim($_POST['enlace_es']);
    $enlace_es = strip_tags($enlace_es);
    $enlace_es = htmlspecialchars($enlace_es);

    $categoriaPadre_es = trim($_POST['categoriaPadre_es']);
    $categoriaPadre_es = strip_tags($categoriaPadre_es);
    $categoriaPadre_es = htmlspecialchars($categoriaPadre_es);


    ///////////INGLÉS

    $time_en = time();

    $tituloEnlace_en = trim($_POST['tituloEnlace_en']);
    $tituloEnlace_en = strip_tags($tituloEnlace_en);
    $tituloEnlace_en = htmlspecialchars($tituloEnlace_en);

    $enlace_en = trim($_POST['enlace_en']);
    $enlace_en = strip_tags($enlace_en);
    $enlace_en = htmlspecialchars($enlace_en);

    $categoriaPadre_en = trim($_POST['categoriaPadre_en']);
    $categoriaPadre_en = strip_tags($categoriaPadre_en);
    $categoriaPadre_en = htmlspecialchars($categoriaPadre_en);

    ///////////////////////PETICIÓN GRAPH CMS
    $curl = curl_init();
    curl_setopt_array($curl, array(
        CURLOPT_URL => $endpoint_graph_cms,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',

        CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  createSubMenuSuperior(data: {categoriaPadre: \\"'.$categoriaPadre_en.'\\", enlace: \\"'.$enlace_en.'\\", enviadoRevision: \\"'.$enviado.'\\", estatus: \\"borrador\\", localizations: {create: {data: {categoriaPadre: \\"'.$categoriaPadre_es.'\\", enlace: \\"'.$enlace_es.'\\", enviadoRevision: \\"'.$enviado.'\\", estatus: \\"borrador\\", tituloEnlace: \\"'.$tituloEnlace_es.'\\"}, locale: es_MX}}, tituloEnlace: \\"'.$tituloEnlace_en.'\\"}) {\\r\\n    id\\r\\n  }\\r\\n}","variables":{}}',


        CURLOPT_HTTPHEADER => array(
          'Content-Type: application/json',
          'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
        ),
      ));

    $response = curl_exec($curl);
    curl_close($curl);
    //echo $response;

    $jsonrespuesta = json_decode($response, true);
    $id = $jsonrespuesta['data']['createSubMenuSuperior']['id'];
    //echo $id;

    if(strlen($id)>10){

        echo '
            <script>
                $("#formnew").trigger("reset");
                $("#formnew").trigger("reset");
                $("#respuestanew").append("<h5>Enlace añadido correctamente.</h5>");
            
                setTimeout(() => {
                    $(".popUpNew").fadeOut();        
                }, 3000);
            </script>';

        
    }

    else{
        $errorclass ="class='errormensaje'"; 
        echo '
        <script>
            $("#formnew").trigger("reset");
            $("#formnew").trigger("reset");
            $("#respuestanew").append("<p '.$errorclass.'>OCurrió un error al añadir el contenido. Verifica la información o intenta nuevamente en unos minutos.</p>");

            setTimeout(() => {
                //$(".popUpNew").fadeOut();        
            }, 3000);
        </script>';
    }



